#ifndef _TMCLIENTUSER_H_
#define _TMCLIENTUSER_H_

//Perforce headers are buggy
#ifndef _P4_CLIENTAPI_H_
#define _P4_CLIENTAPI_H_
#include "clientapi.h"
#endif

#ifndef _P4_FILESYS_H_
#define _P4_FILESYS_H_
#include "filesys.h"
#endif


#include "TMBO.h"
#include "TMFSHook.h"

class TMClientUser:public ClientUser
{
public:
	TMClientUser ();
	TMClientUser (ClientApi * ca, TMBOType tt = STANDARD);
	virtual ~ TMClientUser ();

	//Hooked methods
	virtual FileSys *File (FileSysType type);
	virtual void OutputStat (StrDict * varList);
	virtual void Message (Error * e);

	//Sets the Trymedia handler
	virtual void SetTMBO (TMBOType tt = STANDARD);
	
	//Handle Arguments
	virtual void HandleArguments ( int argc, char **argv);

protected:
	TMBO * tmbo;
	ClientApi *ca;
	int skippedLast;
};

#endif //_TMCLIENTUSER_H_
